﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CreditDemo.Model
{
    /// <summary>
    /// 身份证图片认证结果输出
    /// </summary>
    public class IDCImageOutputModel : JsonBase
    {
        /// <summary>
        /// requestId
        /// </summary>
        public string requestId { get; set; }
        /// <summary>
        /// front 代表身份证正面，back 代表身份证反面
        /// </summary>
        public string side { get; set; }
        /// <summary>
        /// 身份证与姓名匹配 1，不匹配2，无法检测3
        /// </summary>
        public string checkResult { get; set; }
        /// <summary>
        /// 身份证来源类型：normal 正常拍摄，photocopy 复印件，ps PS， reversion 屏幕翻拍， other 其他， unknown 未知（识别失败）
        /// </summary>
        public string type { get; set; }
        /// <summary>
        /// 身份证文字信息
        /// </summary>
        public IDCardInfo info { get; set; }
        /// <summary>
        /// 各项信息有效性
        /// </summary>
        public ValidityInfo validity { get; set; }
    }

    /// <summary>
    /// 身份证信息
    /// </summary>
    public class IDCardInfo : JsonBase
    {
        /// <summary>
        /// 姓名
        /// </summary>
        public string name { get; set; }
        /// <summary>
        /// 性别
        /// </summary>
        public string gender { get; set; }
        /// <summary>
        /// 民族
        /// </summary>
        public string nation { get; set; }
        /// <summary>
        /// 出生年
        /// </summary>
        public string year { get; set; }
        /// <summary>
        /// 出生月
        /// </summary>
        public string month { get; set; }
        /// <summary>
        /// 出生日
        /// </summary>
        public string day { get; set; }
        /// <summary>
        /// 地址
        /// </summary>
        public string address { get; set; }
        /// <summary>
        /// 身份证号
        /// </summary>
        public string number { get; set; }
    }
    /// <summary>
    /// 身份证各项信息有效性
    /// </summary>
    public class ValidityInfo : JsonBase
    {
        /// <summary>
        /// 如果小于两个字符，或者包含数字，为 false，反之为 true
        /// </summary>
        public bool name { get; set; }
        /// <summary>
        /// 当检测出的性别与身份证号所表示的性别匹配，则为 true，反之为 false
        /// </summary>
        public bool gender { get; set; }
        /// <summary>
        /// 当检测出的出生日期与身份证号中的生日字段匹配，则值为 true，反之为 false
        /// </summary>
        public bool birthday { get; set; }
        /// <summary>
        /// 身份证号码前6位为地区码，当其在预设的码表内，则值为 true，否则为 false
        /// </summary>
        public bool address { get; set; }
        /// <summary>
        /// 当身份证号码符合校验规则，则值为 true，反之，为 false
        /// </summary>
        public bool number { get; set; }
    }
}
