﻿using CreditDemo.Model;
using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;

namespace CreditDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            string msg = "";
            IDCImageOutputModel responseModel = CreditHelper.VerifyIDCardImage(ImageToBase64String(@"D:\idcard.png"), out msg);
            if (string.IsNullOrEmpty(msg))
            {
                Console.WriteLine("解析成功：" + responseModel.ToJson());
            }
            else
            {
                Console.WriteLine("解析失败：" + msg);
            }
            //Base64StringToImage(base64String, @"E:\个人\temp.jpg");
            Console.ReadLine();
        }
        //将图片转为Base64String
        static string ImageToBase64String(string filePath)
        {
            try
            {
                string photo = "";
                Bitmap bmp1 = new Bitmap(filePath);
                using (MemoryStream ms1 = new MemoryStream())
                {
                    bmp1.Save(ms1, ImageFormat.Jpeg);
                    byte[] arr1 = new byte[ms1.Length];
                    ms1.Position = 0;
                    ms1.Read(arr1, 0, (int)ms1.Length);
                    ms1.Close();
                    photo = Convert.ToBase64String(arr1);
                }
                return photo;
            }
            catch (Exception ex)
            {
                return "exception:" + ex.Message;
            }
        }
        //将Base64String转为图片并保存
        static void Base64StringToImage(string base64String, string filePath)
        {
            byte[] arr2 = Convert.FromBase64String(base64String);
            using (MemoryStream ms2 = new MemoryStream(arr2))
            {
                Bitmap bmp2 = new Bitmap(ms2);
                bmp2.Save(filePath, ImageFormat.Jpeg);
                //bmp2.Save(filePath + ".bmp", System.Drawing.Imaging.ImageFormat.Bmp);
                //bmp2.Save(filePath + ".gif", System.Drawing.Imaging.ImageFormat.Gif);
                //bmp2.Save(filePath + ".png", System.Drawing.Imaging.ImageFormat.Png);
            }
        }
    }
}
